> For the complete documentation index, see [llms.txt](https://docs.b2b-sellers.com/b2b-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2b-sellers.com/b2b-platform/1/user-guide/setup/easy-activate-all-addons-and-features.md).

# Easy activate all Addons and Features

As you know, the B2Bsellers Suite uses Symfony bundles to divide individual functions into components that can be activated individually.

When you reinstall the B2B Suite, no addons/features are activated from the start. However, if you would like to have everything activated, you can simply copy the following content into the **/var/b2b-license.json** file, then all features and addons are activated.

{% hint style="info" %}
Please keep in mind that you always have to rebuild the admin, the storefront and the B2B platform when activating addons.
{% endhint %}

```
// var/b2b-license.json

{
  "restrictions": {
    "salesRepresentativeLimit": 5,
    "employeeLimit": 3
  },
  "addons": {
    "0": "B2bOffer",
    "1": "B2bEmployeeBudgets",
    "3": "B2bProductSubscription",
    "4": "B2bEventArticle",
    "7": "B2bSalesRepresentativeFastOrder",
    "8": "B2bCopperBrassSurcharge",
    "9": "B2bSpareParts",
    "10": "B2bDiscountRate",
    "11": "B2bCostCenter",
    "12": "B2bPartialAssortments",
    "13": "B2bMobileSalesPortalApp",
    "14": "B2bEventManager"
  },
  "features": [
    "B2bBonusProgram",
    "B2bProductRequest",
    "B2bUrlAuthentication",
    "B2bPdpVariantList",
    "B2bProductLists"
  ]
}
```

## Necessary builds after activation of addons

Please run the following build processes in your console:

```
bin/console b2b:platform:build
bash ./bin/build-storefront.sh
bash ./bin/build-administration.sh
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.b2b-sellers.com/b2b-platform/1/user-guide/setup/easy-activate-all-addons-and-features.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
